View Issue Details

IDProjectCategoryView StatusLast Update
0001319SymmetricDSBugpublic2014-08-27 21:02
Reporterrafa400Assigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.4.8 
Target VersionFixed in Version3.5.15 
Summary0001319: Symmetric databases install fails on Postgres
DescriptionSymmetric databases install fails on Postgres as "sym_trigger_hist" and "sym_data" creation produces a NOTICE message from postgres and Symmetric database install process doesn't finish successfully.
(i.e. you get a message from postgres like, NOTICE: CREATE TABLE / PRIMARY KEY creará el índice implícito «sym_trigger_hist_pkey» para la tabla «sym_trigger_hist» , but just an error from Symmetric install)

Steps To ReproduceThis time I created both tables manually in the postgres command line utility (psql) and restarted two more times the Symmetric installation.
Additional InformationChanging Postgres config file (posgresql.conf) with "client_min_messages = warning" should solve the problem.
TagsNo tags attached.

Activities

rafa400

2013-07-11 06:09

reporter   ~0000292

"client_min_messages = warning" doesnt fix the problem. It was tested using "postgres" database user and "public" schema.
Now I changed to a custom role with a custom path
ALTER ROLE symmetricds SET search_path=exportdata, public;
and now ../bin/symadmin --engine girs-000 create-sym-tables works fine

elong

2014-02-04 12:50

developer   ~0000456

This is fixed in latest version, 3.5.15. It happens when you use the syadmin uninstall on Postgres, but it doesn't drop the sequence objects. The workaround is to drop the sequences manually and then start SymmetricDS:

DROP SEQUENCE "sym_trigger_hist_trigger_hist_id_seq";
DROP SEQUENCE "sym_data_data_id_seq";
DROP SEQUENCE "sym_extract_request_request_id_seq";

Issue History

Date Modified Username Field Change
2013-07-10 06:38 rafa400 New Issue
2013-07-11 06:09 rafa400 Note Added: 0000292
2014-02-04 12:50 elong Note Added: 0000456
2014-02-04 12:50 elong Status new => resolved
2014-02-04 12:50 elong Fixed in Version => 3.5.15
2014-02-04 12:50 elong Resolution open => fixed
2014-02-04 12:50 elong Assigned To => elong
2014-08-27 21:02 chenson Status resolved => closed